Erro na atualização (Verificar conexão de internet)

Olá. Sou novo aqui no DioLinux. Mas como meu PC está com problemas, gostaria de pedir orientação de especialistas. Meu computador, ao executar o comando sudo apt-get update, diz o seguinte erro:
E: The repository ‘http://br.archive.ubuntu.com/ubuntu groovy-updates Release’ does not have a Release file.
N: Atualizações a partir de tal repositório não podem ser feitas de forma segura e estão, portanto, desativadas por definição.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository ‘Index of /ubuntu groovy-security Release’ does not have a Release file.
N: Atualizações a partir de tal repositório não podem ser feitas de forma segura e estão, portanto, desativadas por definição.
N: See apt-secure(8) manpage for repository creation and user configuration details.
Infelizmente, não sei a causa do problema, já reiniciei, e fiz diversos processos para corrigir, mas não funcionou. Quem puder ajudar, eu agradeço. :wink:
Além disto, quando entro no atualizador de programas, diz para eu verificar minha conexão de internet, sendo que já está conectada; já removi os PPA e tudo mais. Mas mesmo assim, o erro prossegue. Quem puder ajudar, eu agradeço <3

Olá, Isso já aconteceu comigo, quando utilizava o Zorin OS, isso ocorria por que não havia uma chave de autenticação. Só que pelo o que eu vi, estão sem chaves de autenticação repositórios do sistema, recomendo refazer o download da ISO e reinstalar o sistema.

Veja aqui como recriar lista de repositórios padrão